import 'package:json_annotation/json_annotation.dart';

import '../../bean/agenda.dart';

part 'agenda_response.g.dart';

@JsonSerializable()
class AgendaResponse {
  @JsonKey(name: 'count')
  int count;

  @JsonKey(name: 'list')
  List<Agenda>? list;

  AgendaResponse({required this.count, required this.list});

  factory AgendaResponse.fromJson(Map<String, dynamic> json) =>
      _$AgendaResponseFromJson(json);
}
